> ## Documentation Index
> Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Retrieve a single product by ID with variants and options.



## OpenAPI

````yaml GET /products/{id}
openapi: 3.1.0
info:
  title: bitbybit Open API
  description: >-
    The bitbybit Open API provides programmatic access to your bitbybit data
    including customers, orders, and products.
  version: 1.0.0
  contact:
    name: bitbybit Support
    url: https://bitbybit.studio
servers:
  - url: https://api.bitbybit.studio/customer/api/open/v1
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /products/{id}:
    get:
      tags:
        - Products
      summary: Get a product
      description: Retrieve a single product by ID with variants and options.
      operationId: getProduct
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Product'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
        productId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
        medias:
          type: array
          items:
            type: string
        status:
          type: string
          nullable: true
        variants:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariant'
        options:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              values:
                type: array
                items:
                  type: string
        tags:
          type: array
          items:
            type: string
        types:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    ProductVariant:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        price:
          type: number
        compareAtPrice:
          type: number
          nullable: true
        inventorySku:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: NOT_FOUND
              message: Resource not found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Create one in Settings > Developer.

````